# Используем официальный образ Go
FROM golang:1.26.0-alpine

WORKDIR /app

# Копируем go.mod и go.sum
COPY go.mod go.sum ./
RUN go mod download

# Копируем исходный код
COPY . .

# Компилируем БЕЗ CGO
RUN CGO_ENABLED=0 GOOS=linux go build -o bin/main ./cmd/main.go

EXPOSE 8080

CMD ["./bin/main"]